Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1076116 - oprofile do not build for powerpc
Summary: oprofile do not build for powerpc
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: oprofile
Version: rawhide
Hardware: ppc64le
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: William Cohen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-03-13 15:14 UTC by Michel Normand
Modified: 2014-05-13 18:18 UTC (History)
3 users (show)

Fixed In Version: oprofile-0.9.9-3.54.gb7e9a57.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-13 18:18:02 UTC


Attachments (Terms of Use)
oprofile_no_code_domain_switch.patch (deleted)
2014-03-13 15:14 UTC, Michel Normand
no flags Details | Diff

Description Michel Normand 2014-03-13 15:14:31 UTC
Created attachment 874026 [details]
oprofile_no_code_domain_switch.patch

Description of problem: oprofile do not build on powerpc


Version-Release number of selected component (if applicable):
oprofile-0.9.9-2.18.g810bb80.fc21

Steps to Reproduce:
1. fedpkg clone -a oprofile
2. fedpkg prep
3. fedpkg mockbuild

Actual results:
gcc -DHAVE_CONFIG_H -I. -I..  -I ../libabi -I ../libutil -I ../libop -I ../libdb   -W -Wall -fno-common -Wdeclaration-after-statement -Werror -fno-omit-frame-pointer -O2 -g -fsigned-char -c -o opd_trans.o opd_trans.c
opd_trans.c:270:13: error: 'code_domain_switch' defined but not used [-Werror=unused-function]
 static void code_domain_switch(struct transient *trans)
             ^
cc1: all warnings being treated as errors


Refer to patch in attachment to solve the problem
(only tested on ppc64le)

Comment 1 William Cohen 2014-03-13 19:41:29 UTC
Could you submit the attached patch to the oprofile upstream mailing list, oprofile-list@lists.sourceforge.net, for review and inclusion by upstream oprofile?  Then it will be pulled in automatically the next time the rawhide code is pulled from the upstream git repo.

Comment 2 Michel Normand 2014-03-14 05:59:43 UTC
(In reply to William Cohen from comment #1)
> Could you submit the attached patch to the oprofile upstream mailing list,
> oprofile-list@lists.sourceforge.net, for review and inclusion by upstream
> oprofile?  Then it will be pulled in automatically the next time the rawhide
> code is pulled from the upstream git repo.

The patch of this bugzilla is a correction of the oprofile-0.9.7-xen.patch that is in fedora, but that is not in oprofile upstream.

Comment 3 William Cohen 2014-03-14 20:31:01 UTC
I took a closer look at the patch and it looked reasonable, so added it to the rawhide spec file. You should be able to build oprofile-0.9.9-3.54.gb7e9a57.fc21 on powerpc.  Please verify.

Comment 4 Jaromír Cápík 2014-05-13 18:18:02 UTC
Verified, works. Thank you. Closing.


Note You need to log in before you can comment on or make changes to this bug.